module.exports = app => {
  const testlogs = require("../controllers/testlogs.controller.js");
  var router = require("express").Router();
  router.post("/usp_getenrollcohorts", testlogs.usp_getenrollcohorts);
  router.post("/activity_tracker", testlogs.activity_tracker);
  router.post("/add", testlogs.add);
  router.post("/cohortbyIds", testlogs.cohortbyIds);
  router.post("/kareset", testlogs.kareset);
  router.post("/practicereset", testlogs.practicereset);
  router.post("/studentreport", testlogs.studentreport);
  router.post("/previous_result_ka", testlogs.previous_result_ka);
  router.post("/previous_result", testlogs.previous_result);
  router.post("/history", testlogs.history);
  router.post("/reset_progress_by_class", testlogs.reset_progress_by_class);
  app.use('/testlogs', router);
};
